searchNodes=[{"ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html","title":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects","type":"module","doc":"API calls for all endpoints tagged AvailableProjects."},{"ref":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.html#firebase_available_projects_list/3","title":"GoogleApi.Firebase.V1beta1.Api.AvailableProjects.firebase_available_projects_list/3","type":"function","doc":"Returns a list of [Google Cloud Platform (GCP) Projects] (https://cloud.google.com/resource-manager/reference/rest/v1/projects) that are available to have Firebase resources added to them. A GCP `Project` will only be returned if: The caller has sufficient [Google IAM](https://cloud.google.com/iam) permissions to call AddFirebase. The GCP `Project` is not already a FirebaseProject. The GCP `Project` is not in an Organization which has policies that prevent Firebase resources from being added. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of GCP Projects to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to ListAvailableProjects indicating where in the set of GCP Projects to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html","title":"GoogleApi.Firebase.V1beta1.Api.Operations","type":"module","doc":"API calls for all endpoints tagged Operations."},{"ref":"GoogleApi.Firebase.V1beta1.Api.Operations.html#firebase_operations_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Operations.firebase_operations_get/4","type":"function","doc":"Gets the latest state of a long-running operation. Clients can use this method to poll the operation result at intervals as recommended by the API service. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The name of the operation resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html","title":"GoogleApi.Firebase.V1beta1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_firebase/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_firebase/4","type":"function","doc":"Adds Firebase resources to the specified existing [Google Cloud Platform (GCP) Project] (https://cloud.google.com/resource-manager/reference/rest/v1/projects). Since a FirebaseProject is actually also a GCP `Project`, aFirebaseProject uses underlying GCP identifiers (most importantly, the projectId) as its own for easy interop with GCP APIs. The result of this call is an [`Operation`](../../v1beta1/operations).Poll the Operation to track the provisioning process by calling GetOperation until done is true. When done is true, the Operation has either succeeded or failed. If the Operation succeeded, its response is set to a FirebaseProject; if the Operation failed, its error is set to a google.rpc.Status. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation. This method does not modify any billing account information on theunderlying GCP Project. To call `AddFirebase`, a member must be an Editor or Owner for theexisting GCP Project. Service accounts cannot call AddFirebase. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server project (type: String.t) - The resource name of the GCP Project to which Firebase resources will be added, in the format: projects/projectId After calling AddFirebase, the projectId of the GCP Project is also the projectId of the FirebaseProject. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_add_google_analytics/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_add_google_analytics/4","type":"function","doc":"Links a FirebaseProject with an existing Google Analytics account. Using this call, you can either: Specify an `analyticsAccountId` to provision a new Google Analytics property within the specified account and associate the new property with your `FirebaseProject`. Specify an existing `analyticsPropertyId` to associate the property with your `FirebaseProject`. Note that when you call `AddGoogleAnalytics`: The first check determines if any existing data streams in the Google Analytics property correspond to any existing Firebase Apps in your `FirebaseProject` (based on the `packageName` or `bundleId` associated with the data stream). Then, as applicable, the data streams and apps are linked. Note that this auto-linking only applies to Android Apps and iOS Apps. If no corresponding data streams are found for your Firebase Apps, new data streams are provisioned in the Google Analytics property for each of your Firebase Apps. Note that a new data stream is always provisioned for a Web App even if it was previously associated with a data stream in your Analytics property. Learn more about the hierarchy and structure of Google Analytics accounts in the [Analytics documentation](https://support.google.com/analytics/answer/9303323). The result of this call is an [`Operation`](../../v1beta1/operations). Poll the `Operation` to track the provisioning process by calling GetOperation until [`done`](../../v1beta1/operations#Operation.FIELDS.done) is `true`. When `done` is `true`, the `Operation` has either succeeded or failed. If the `Operation` succeeded, its [`response`](../../v1beta1/operations#Operation.FIELDS.response) is set to an AnalyticsDetails; if the `Operation` failed, its [`error`](../../v1beta1/operations#Operation.FIELDS.error) is set to a google.rpc.Status. To call `AddGoogleAnalytics`, a member must be an Owner for the existing `FirebaseProject` and have the [`Edit` permission](https://support.google.com/analytics/answer/2884495) for the Google Analytics account. If a `FirebaseProject` already has Google Analytics enabled, and you call `AddGoogleAnalytics` using an `analyticsPropertyId` that's different from the currently associated property, then the call will fail. Analytics may have already been enabled in the Firebase console or by specifying `timeZone` and `regionCode` in the call to [`AddFirebase`](../../v1beta1/projects/addFirebase). ## Parameters * `connection` (*type:* `GoogleApi.Firebase.V1beta1.Connection.t`) - Connection to server * `parent` (*type:* `String.t`) - The parent `FirebaseProject` to link to an existing Google Analytics account, in the format: projects/projectId * `optional_params` (*type:* `keyword()`) - Optional parameters * `:\"$.xgafv\"` (*type:* `String.t`) - V1 error format. * `:access_token` (*type:* `String.t`) - OAuth access token. * `:alt` (*type:* `String.t`) - Data format for response. * `:callback` (*type:* `String.t`) - JSONP * `:fields` (*type:* `String.t`) - Selector specifying which fields to include in a partial response. * `:key` (*type:* `String.t`) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. * `:oauth_token` (*type:* `String.t`) - OAuth 2.0 token for the current user. * `:prettyPrint` (*type:* `boolean()`) - Returns response with indentations and line breaks. * `:quotaUser` (*type:* `String.t`) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. * `:uploadType` (*type:* `String.t`) - Legacy upload protocol for media (e.g. \"media\", \"multipart\"). * `:upload_protocol` (*type:* `String.t`) - Upload protocol for media (e.g. \"raw\", \"multipart\"). * `:body` (*type:* `GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.t`) - * `opts` (*type:* `keyword()`) - Call options ## Returns * `{:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}}` on success * `{:error, info}` on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_create/4","type":"function","doc":"Requests that a new AndroidApp be created. The result of this call is an `Operation` which can be used to trackthe provisioning process. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.AndroidApp.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get/4","type":"function","doc":"Gets the AndroidApp identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the App, in the format: projects/projectId/androidApps/appId As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidApp{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_get_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_get_config/4","type":"function","doc":"Gets the configuration artifact associated with the specified AndroidApp. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the App configuration to download, in the format: projects/projectId/androidApps/appId/config As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_list/4","type":"function","doc":"Lists each AndroidApp associated with the specified parent Project. The elements are returned in no particular order, but will be aconsistent view of the Apps when additional requests are made with a pageToken. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. :pageToken (type: String.t) - Token returned from a previous call to ListAndroidApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_patch/4","type":"function","doc":"Updates the attributes of the AndroidApp identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the App, in the format: projects/projectId/androidApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update. Note that the fields name, appId, projectId, and packageName are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.AndroidApp.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.AndroidApp{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_create/4","type":"function","doc":"Adds a SHA certificate to the specified AndroidApp. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent App to which a SHA certificate will be added, in the format: projects/projectId/androidApps/appId As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ShaCertificate{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_delete/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_delete/4","type":"function","doc":"Removes a SHA certificate from the specified AndroidApp. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the sha-key, in the format: projects/projectId/androidApps/appId/sha/shaId You can obtain the full name from the response of ListShaCertificates or the original CreateShaCertificate. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_android_apps_sha_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_android_apps_sha_list/4","type":"function","doc":"Returns the list of SHA-1 and SHA-256 certificates for the specified AndroidApp. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent App for which to list SHA certificates, in the format: projects/projectId/androidApps/appId As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/androidApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_available_locations_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_available_locations_list/4","type":"function","doc":"Returns a list of valid Google Cloud Platform (GCP) resource locations for the specified Project (including a FirebaseProject). One of these locations can be selected as the Project's [_default_ GCPresource location](https://firebase.google.com/docs/projects/locations), which is the geographical location where project resources, such as Cloud Firestore, will be provisioned by default. However, if the default GCP resource location has already been set for the Project, then this setting cannot be changed. This call checks for any location restrictions for the specifiedProject and, thus, might return a subset of all possible GCP resource locations. To list all GCP resource locations (regardless of any restrictions), call the endpoint without specifying a projectId (that is, /v1beta1/{parent=projects/-}/listAvailableLocations). To call `ListAvailableLocations` with a specified project, a membermust be at minimum a Viewer of the project. Calls without a specified project do not require any specific project permissions. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The Project for which to list GCP resource locations, in the format: projects/projectId If no project is specified (that is, projects/-), the returned list does not take into account org-specific or project-specific location restrictions. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of locations to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to ListAvailableLocations indicating where in the list of locations to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_default_location_finalize/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_default_location_finalize/4","type":"function","doc":"Sets the default Google Cloud Platform (GCP) resource location for the specified FirebaseProject. This method creates an App Engine application with adefault Cloud Storage bucket, located in the specified location_id. This location must be one of the available GCP resource locations. After the default GCP resource location is finalized, or if it wasalready set, it cannot be changed. The default GCP resource location for the specified FirebaseProject might already be set because either the GCP Project already has an App Engine application or FinalizeDefaultLocation was previously called with a specified location_id. Any new calls to FinalizeDefaultLocation with a different specified location_id will return a 409 error. The result of this call is an [`Operation`](../../v1beta1/operations),which can be used to track the provisioning process. The response type of the Operation is google.protobuf.Empty. The `Operation` can be polled by its `name` usingGetOperation until done is true. When done is true, the Operation has either succeeded or failed. If the Operation has succeeded, its response will be set to a google.protobuf.Empty; if the Operation has failed, its error will be set to a google.rpc.Status. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation. All fields listed in the [request body](#request-body) are required.To call `FinalizeDefaultLocation`, a member must be an Ownerof the project. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The resource name of the Project for which the default GCP resource location will be set, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get/4","type":"function","doc":"Gets the FirebaseProject identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the Project, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.FirebaseProject{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_admin_sdk_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_admin_sdk_config/4","type":"function","doc":"Gets the configuration artifact used by servers to simplify initialization. Typically, this configuration is used with the Firebase Admin SDKinitializeApp command. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the Project, in the format: projects/projectId/adminSdkConfig optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_get_analytics_details/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_get_analytics_details/4","type":"function","doc":"Gets the Google Analytics details currently associated with a FirebaseProject. If the `FirebaseProject` is not yet linked to Google Analytics, thenthe response to GetAnalyticsDetails is NOT_FOUND. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name, in the format: projects/projectId/analyticsDetails optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_create/4","type":"function","doc":"Requests that a new IosApp be created. The result of this call is an `Operation` which can be used to trackthe provisioning process. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.IosApp.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get/4","type":"function","doc":"Gets the IosApp identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the App, in the format: projects/projectId/iosApps/appId As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.IosApp{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_get_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_get_config/4","type":"function","doc":"Gets the configuration artifact associated with the specified IosApp. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the App configuration to download, in the format: projects/projectId/iosApps/appId/config As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/iosApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.IosAppConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_list/4","type":"function","doc":"Lists each IosApp associated with the specified parent Project. The elements are returned in no particular order, but will be aconsistent view of the Apps when additional requests are made with a pageToken. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. :pageToken (type: String.t) - Token returned from a previous call to ListIosApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_ios_apps_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_ios_apps_patch/4","type":"function","doc":"Updates the attributes of the IosApp identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the App, in the format: projects/projectId/iosApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update. Note that the fields name, appId, projectId, and bundleId are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.IosApp.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.IosApp{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_list/3","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_list/3","type":"function","doc":"Lists each FirebaseProject accessible to the caller. The elements are returned in no particular order, but they will be aconsistent view of the Projects when additional requests are made with a pageToken. This method is eventually consistent with Project mutations, whichmeans newly provisioned Projects and recent modifications to existing Projects might not be reflected in the set of Projects. The list will include only ACTIVE Projects. UseGetFirebaseProject for consistent reads as well as for additional Project details. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Projects to return in the response. The server may return fewer than this at its discretion. If no value is specified (or too large a value is specified), the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to ListFirebaseProjects indicating where in the set of Projects to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_patch/4","type":"function","doc":"Updates the attributes of the FirebaseProject identified by the specified resource name. All [query parameters](#query-parameters) are required.Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the Project, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update. If this list is empty, then no state will be updated. Note that the fields name, project_id, and project_number are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.FirebaseProject{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_remove_analytics/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_remove_analytics/4","type":"function","doc":"Unlinks the specified FirebaseProject from its Google Analytics account. This call removes the association of the specified `FirebaseProject`with its current Google Analytics property. However, this call does not delete the Google Analytics resources, such as the Google Analytics property or any data streams. These resources may be re-associated later to the `FirebaseProject` bycalling AddGoogleAnalytics and specifying the same analyticsPropertyId. For Android Apps and iOS Apps, this call re-links data streams with their corresponding apps. However, for Web Apps, this call provisions a new data stream for each Web App. To call `RemoveAnalytics`, a member must be an Owner forthe FirebaseProject. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent FirebaseProject to unlink from its Google Analytics account, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_search_apps/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_search_apps/4","type":"function","doc":"A convenience method that lists all available Apps for the specified FirebaseProject. Typically, interaction with an App should be done using theplatform-specific service, but some tool use-cases require a summary of all known Apps (such as for App selector interfaces). Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. This value cannot be negative. :pageToken (type: String.t) - Token returned from a previous call to SearchFirebaseApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_create/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_create/4","type":"function","doc":"Requests that a new WebApp be created. The result of this call is an `Operation` which can be used to trackthe provisioning process. The Operation is automatically deleted after completion, so there is no need to call DeleteOperation. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.Firebase.V1beta1.Model.WebApp.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get/4","type":"function","doc":"Gets the WebApp identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the App, in the format: projects/projectId/webApps/appId As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.WebApp{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_get_config/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_get_config/4","type":"function","doc":"Gets the configuration artifact associated with the specified WebApp. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The resource name of the App configuration to download, in the format: projects/projectId/webApps/appId/config As an appId is a unique identifier, the Unique Resource from Sub-Collection access pattern may be used here, in the format: projects/-/webApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.WebAppConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_list/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_list/4","type":"function","doc":"Lists each WebApp associated with the specified parent Project. The elements are returned in no particular order, but will be aconsistent view of the Apps when additional requests are made with a pageToken. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server parent (type: String.t) - The parent Project for which to list Apps, in the format: projects/projectId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of Apps to return in the response. The server may return fewer than this value at its discretion. If no value is specified (or too large a value is specified), then the server will impose its own limit. :pageToken (type: String.t) - Token returned from a previous call to ListWebApps indicating where in the set of Apps to resume listing. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Api.Projects.html#firebase_projects_web_apps_patch/4","title":"GoogleApi.Firebase.V1beta1.Api.Projects.firebase_projects_web_apps_patch/4","type":"function","doc":"Updates the attributes of the WebApp identified by the specified resource name. Parameters connection (type: GoogleApi.Firebase.V1beta1.Connection.t) - Connection to server name (type: String.t) - The fully qualified resource name of the App, for example: projects/projectId/webApps/appId optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - Specifies which fields to update. Note that the fields name, appId, and projectId are all immutable. :body (type: GoogleApi.Firebase.V1beta1.Model.WebApp.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.Firebase.V1beta1.Model.WebApp{}} on success {:error, info} on failure"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html","title":"GoogleApi.Firebase.V1beta1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.Firebase.V1beta1."},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#delete/3","title":"GoogleApi.Firebase.V1beta1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#delete!/3","title":"GoogleApi.Firebase.V1beta1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#execute/2","title":"GoogleApi.Firebase.V1beta1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#get/3","title":"GoogleApi.Firebase.V1beta1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#get!/3","title":"GoogleApi.Firebase.V1beta1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#head/3","title":"GoogleApi.Firebase.V1beta1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#head!/3","title":"GoogleApi.Firebase.V1beta1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/0","title":"GoogleApi.Firebase.V1beta1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#new/1","title":"GoogleApi.Firebase.V1beta1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#options/3","title":"GoogleApi.Firebase.V1beta1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#options!/3","title":"GoogleApi.Firebase.V1beta1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#patch/4","title":"GoogleApi.Firebase.V1beta1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#patch!/4","title":"GoogleApi.Firebase.V1beta1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#post/4","title":"GoogleApi.Firebase.V1beta1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#post!/4","title":"GoogleApi.Firebase.V1beta1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#put/4","title":"GoogleApi.Firebase.V1beta1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#put!/4","title":"GoogleApi.Firebase.V1beta1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#request/2","title":"GoogleApi.Firebase.V1beta1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#request!/2","title":"GoogleApi.Firebase.V1beta1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#trace/3","title":"GoogleApi.Firebase.V1beta1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#trace!/3","title":"GoogleApi.Firebase.V1beta1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#t:option/0","title":"GoogleApi.Firebase.V1beta1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Connection.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest","type":"module","doc":"All fields are required. Attributes locationId (type: String.t, default: nil) - Deprecated. Instead, to set your project&#39;s default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to your project. The ID of the project&#39;s default GCP resource location. The location must be one of the available GCP resource locations. regionCode (type: String.t, default: nil) - Deprecated. Instead, to link your Project with a Google Analytics account, call AddGoogleAnalytics after you add Firebase resources to your Project. The region code (CLDR) that the account will use for Firebase Analytics data. For example: US, GB, or DE In Java, use com.google.i18n.identifiers.RegionCode. timeZone (type: String.t, default: nil) - Deprecated. Instead, to link your Project with a Google Analytics account, call AddGoogleAnalytics after you add Firebase resources to your Project. The time zone that the account will use for Firebase Analytics data. For example: America/Los_Angeles or Africa/Abidjan"},{"ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AddFirebaseRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest","type":"module","doc":"Attributes analyticsAccountId (type: String.t, default: nil) - The ID for the existing Google Analytics account that you want to link with your FirebaseProject. Specifying this field will provision a new Google Analytics property in your Google Analytics account and associate the new property with your FirebaseProject. analyticsPropertyId (type: String.t, default: nil) - The ID for the existing Google Analytics property that you want to associate with your FirebaseProject."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AddGoogleAnalyticsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig","type":"module","doc":"Attributes databaseURL (type: String.t, default: nil) - The default Firebase Realtime Database URL. locationId (type: String.t, default: nil) - The ID of the project&#39;s default GCP resource location. The location is one of the available GCP resource locations. This field is omitted if the default GCP resource location has not been finalized yet. To set your project&#39;s default GCP resource location, call FinalizeDefaultLocation after you add Firebase services to your project. projectId (type: String.t, default: nil) - Immutable. The globally unique, user-assigned project ID of the parent Project. storageBucket (type: String.t, default: nil) - The default Cloud Storage for Firebase storage bucket name."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AdminSdkConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails","type":"module","doc":"Attributes analyticsProperty (type: GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.t, default: nil) - The Analytics Property object associated with the specified FirebaseProject. This object contains the details of the Google Analytics property associated with the specified FirebaseProject. streamMappings (type: list(GoogleApi.Firebase.V1beta1.Model.StreamMapping.t), default: nil) - For Android Apps and iOS Apps: A map of app to streamId for each Firebase App in the specified FirebaseProject. Each app and streamId appears only once. For Web Apps: A map of app to streamId and measurementId for each Firebase App in the specified FirebaseProject. Each app, streamId, and measurementId appears only once."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsDetails.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty","type":"module","doc":"Details of a Google Analytics property Attributes displayName (type: String.t, default: nil) - The display name of the Google Analytics property associated with the specified FirebaseProject. id (type: String.t, default: nil) - The globally unique, Google-assigned identifier of the Google Analytics property associated with the specified FirebaseProject. If you called AddGoogleAnalytics to link your FirebaseProject with a Google Analytics account, the value in this id field is the same as the ID of the property either specified or provisioned with that call to AddGoogleAnalytics."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AnalyticsProperty.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp","type":"module","doc":"Details of a Firebase App for Android. Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier of the App. This identifier should be treated as an opaque token, as the data format is not specified. displayName (type: String.t, default: nil) - The user-assigned display name of the App. name (type: String.t, default: nil) - The fully qualified resource name of the App, in the format: projects/projectId/androidApps/appId packageName (type: String.t, default: nil) - The canonical package name of the Android App as would appear in the Google Play Developer Console. projectId (type: String.t, default: nil) - The globally unique, user-assigned ID of the parent Project for the App."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AndroidApp.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig","type":"module","doc":"Configuration metadata of a single Firebase App for Android. Attributes configFileContents (type: String.t, default: nil) - The contents of the JSON configuration file. configFilename (type: String.t, default: nil) - The filename that the configuration artifact is typically saved as. For example: google-services.json"},{"ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.AndroidAppConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources","type":"module","doc":"The default resources associated with a FirebaseProject. Attributes hostingSite (type: String.t, default: nil) - The default Firebase Hosting site name, in the format: projectId Though rare, your projectId might already be used as the name for an existing Hosting site in another project (learn more about creating non-default, additional sites). In these cases, your projectId is appended with a hyphen then five alphanumeric characters to create your default Hosting site name. For example, if your projectId is myproject123, your default Hosting site name might be: myproject123-a5c16 locationId (type: String.t, default: nil) - The ID of the project&#39;s default GCP resource location. The location is one of the available GCP resource locations. This field is omitted if the default GCP resource location has not been finalized yet. To set your project&#39;s default GCP resource location, call FinalizeDefaultLocation after you add Firebase services to your project. realtimeDatabaseInstance (type: String.t, default: nil) - The default Firebase Realtime Database instance name, in the format: projectId Though rare, your projectId might already be used as the name for an existing Realtime Database instance in another project (learn more about database sharding). In these cases, your projectId is appended with a hyphen then five alphanumeric characters to create your default Realtime Database instance name. For example, if your projectId is myproject123, your default database instance name might be: myproject123-a5c16 storageBucket (type: String.t, default: nil) - The default Cloud Storage for Firebase storage bucket, in the format: projectId.appspot.com"},{"ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.DefaultResources.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html","title":"GoogleApi.Firebase.V1beta1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes"},{"ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Empty.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest","type":"module","doc":"Attributes locationId (type: String.t, default: nil) - The ID of the default GCP resource location for the Project. The location must be one of the available GCP resource locations."},{"ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.FinalizeDefaultLocationRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo","type":"module","doc":"A high-level summary of an App. Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier of the App. This identifier should be treated as an opaque token, as the data format is not specified. displayName (type: String.t, default: nil) - The user-assigned display name of the Firebase App. name (type: String.t, default: nil) - The fully qualified resource name of the Firebase App, in the format: projects/projectId/iosApps/appId or projects/projectId/androidApps/appId platform (type: String.t, default: nil) - The platform of the Firebase App."},{"ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject","type":"module","doc":"A FirebaseProject is the top-level Firebase entity. It is the container for Firebase Apps, Firebase Hosting sites, storage systems (Firebase Realtime Database, Cloud Firestore, Cloud Storage buckets) and other Firebase and Google Cloud Platform (GCP) resources. You can create a new `FirebaseProject` in theFirebase console, or you can add Firebase resources to an existing GCP Project by calling AddFirebase. A `FirebaseProject` is actually also a GCP `Project`, so aFirebaseProject uses underlying GCP identifiers (most importantly, projectId) as its own for easy interop with GCP APIs. Attributes displayName (type: String.t, default: nil) - The user-assigned display name of the Project. name (type: String.t, default: nil) - The fully qualified resource name of the Project, in the format: projects/projectId projectId (type: String.t, default: nil) - Immutable. The globally unique, user-assigned ID of the Project. projectNumber (type: String.t, default: nil) - The globally unique, Google-assigned identifier of the Project. resources (type: GoogleApi.Firebase.V1beta1.Model.DefaultResources.t, default: nil) - The default Firebase resources associated with the Project."},{"ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html","title":"GoogleApi.Firebase.V1beta1.Model.IosApp","type":"module","doc":"Details of a Firebase App for iOS. Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier of the App. This identifier should be treated as an opaque token, as the data format is not specified. appStoreId (type: String.t, default: nil) - The automatically generated Apple ID assigned to the App by Apple in the iOS App Store. bundleId (type: String.t, default: nil) - The canonical bundle ID of the iOS App as it would appear in the iOS AppStore. displayName (type: String.t, default: nil) - The user-assigned display name of the App. name (type: String.t, default: nil) - The fully qualified resource name of the App, in the format: projects/projectId/iosApps/appId projectId (type: String.t, default: nil) - The globally unique, user-assigned ID of the parent Project for the App."},{"ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.IosApp.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.IosApp.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.IosApp.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig","type":"module","doc":"Configuration metadata of a single Firebase App for iOS. Attributes configFileContents (type: String.t, default: nil) - The content of the XML configuration file. configFilename (type: String.t, default: nil) - The filename that the configuration artifact is typically saved as. For example: GoogleService-Info.plist"},{"ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.IosAppConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse","type":"module","doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.AndroidApp.t), default: nil) - List of each AndroidApp that is in the parent Firebase Project. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to ListAndroidApps to find the next group of Apps. Page tokens are short-lived and should not be persisted."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListAndroidAppsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse","type":"module","doc":"Attributes locations (type: list(GoogleApi.Firebase.V1beta1.Model.Location.t), default: nil) - One page of results from a call to ListAvailableLocations. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results and all available locations have been listed. This token can be used in a subsequent call to ListAvailableLocations to find more locations. Page tokens are short-lived and should not be persisted."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableLocationsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse","type":"module","doc":"Attributes nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent calls to ListAvailableProjects to find the next group of GCP Projects. Page tokens are short-lived and should not be persisted. projectInfo (type: list(GoogleApi.Firebase.V1beta1.Model.ProjectInfo.t), default: nil) - The list of GCP Projects which can have Firebase resources added to them."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListAvailableProjectsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse","type":"module","doc":"Attributes nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent calls to ListFirebaseProjects to find the next group of Projects. Page tokens are short-lived and should not be persisted. results (type: list(GoogleApi.Firebase.V1beta1.Model.FirebaseProject.t), default: nil) - One page of the list of Projects that are accessible to the caller."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListFirebaseProjectsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse","type":"module","doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.IosApp.t), default: nil) - List of each IosApp that is in the parent Firebase Project. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to ListIosApps to find the next group of Apps. Page tokens are short-lived and should not be persisted."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListIosAppsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse","type":"module","doc":"Attributes certificates (type: list(GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t), default: nil) - The list of SHA certificates associated with the App."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListShaCertificatesResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse","type":"module","doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.WebApp.t), default: nil) - List of each WebApp that is in the parent Firebase Project. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. If the string is empty, then this response is the last page of results. This token can be used in a subsequent call to ListWebApps to find the next group of Apps. Page tokens are short-lived and should not be persisted."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ListWebAppsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.Location.html","title":"GoogleApi.Firebase.V1beta1.Model.Location","type":"module","doc":"A GCP resource location that can be selected for a Project. Attributes features (type: list(String.t), default: nil) - Products and services that are available in the GCP resource location. locationId (type: String.t, default: nil) - The ID of the GCP resource location. It will be one of the available GCP resource locations. type (type: String.t, default: nil) - Indicates whether the GCP resource location is a regional or multi-regional location for data replication."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Location.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Location.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Location.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet","type":"module","doc":"This is proto2&#39;s version of MessageSet. Attributes"},{"ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.MessageSet.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.MessageSet.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html","title":"GoogleApi.Firebase.V1beta1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (type: boolean(), default: nil) - If the value is false, it means the operation is still in progress. If true, the operation is completed, and either error or response is available. error (type: GoogleApi.Firebase.V1beta1.Model.Status.t, default: nil) - The error result of the operation in case of failure or cancellation. metadata (type: map(), default: nil) - Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. name (type: String.t, default: nil) - The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the name should be a resource name ending with operations/{unique_id}. response (type: map(), default: nil) - The normal response of the operation in case of success. If the original method returns no data on success, such as Delete, the response is google.protobuf.Empty. If the original method is standard Get/Create/Update, the response should be the resource. For other methods, the response should have the type XxxResponse, where Xxx is the original method name. For example, if the original method name is TakeSnapshot(), the inferred response type is TakeSnapshotResponse."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Operation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Operation.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Operation.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo","type":"module","doc":"A reference to a Google Cloud Platform (GCP) Project. Attributes displayName (type: String.t, default: nil) - The user-assigned display name of the GCP Project, for example: My App locationId (type: String.t, default: nil) - The ID of the project&#39;s default GCP resource location. The location is one of the available GCP resource locations. Not all projects will have this field populated. If it is not populated, it means that the project does not yet have a default GCP resource location. To set your project&#39;s default GCP resource location, call FinalizeDefaultLocation after you add Firebase resources to your project. project (type: String.t, default: nil) - The resource name of the GCP Project to which Firebase resources can be added, in the format: projects/projectId"},{"ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ProjectInfo.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest","type":"module","doc":"Attributes analyticsPropertyId (type: String.t, default: nil) - Optional. The ID of the Google Analytics property associated with the specified FirebaseProject. If not set, then the Google Analytics property that is currently associated with the specified FirebaseProject is removed. If set, and the specified FirebaseProject is currently associated with a different Google Analytics property, then the response is a 412 Precondition Failed error."},{"ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.RemoveAnalyticsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse","type":"module","doc":"Attributes apps (type: list(GoogleApi.Firebase.V1beta1.Model.FirebaseAppInfo.t), default: nil) - One page of results from a call to SearchFirebaseApps. nextPageToken (type: String.t, default: nil) - If the result list is too large to fit in a single response, then a token is returned. This token can be used in a subsequent calls to SearchFirebaseApps to find the next group of Apps. If the string is empty, then this response is the last page of results. Page tokens are short-lived and should not be persisted."},{"ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.SearchFirebaseAppsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate","type":"module","doc":"A SHA-1 or SHA-256 certificate associated with the AndroidApp. Attributes certType (type: String.t, default: nil) - The SHA certificate type. name (type: String.t, default: nil) - The fully qualified resource name of the sha-key, in the format: projects/projectId/androidApps/appId/sha/shaId shaHash (type: String.t, default: nil) - The certificate hash for the App."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.ShaCertificate.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.Status.html","title":"GoogleApi.Firebase.V1beta1.Model.Status","type":"module","doc":"The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide. Attributes code (type: integer(), default: nil) - The status code, which should be an enum value of google.rpc.Code. details (type: list(map()), default: nil) - A list of messages that carry the error details. There is a common set of message types for APIs to use. message (type: String.t, default: nil) - A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.Status.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.Status.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto","type":"module","doc":"Wire-format for a Status object Attributes canonicalCode (type: integer(), default: nil) - The canonical error code (see codes.proto) that most closely corresponds to this status. May be missing. code (type: integer(), default: nil) - Numeric code drawn from the space specified below. Often, this is the canonical error space, and code is drawn from google3/util/task/codes.proto message (type: String.t, default: nil) - Detail message messageSet (type: GoogleApi.Firebase.V1beta1.Model.MessageSet.t, default: nil) - message_set associates an arbitrary proto message with the status. payload (type: GoogleApi.Firebase.V1beta1.Model.TypedMessage.t, default: nil) - DEPRECATED. This field was deprecated in 2011 with cl/20297133. Java support for the field was moved to a proto1 backward compatibility class in April 2017 with cl/142615857 and cl/154123203. There was never support for this field in Go; if set Go will ignore it. C++ stopped setting StatusProto::payload in October 2015 with cl/106347055, and stopped reading the field in October 2017 with cl/173324114. In general, newly written code should use only &quot;message_set&quot;. If you need to maintain backward compatibility with code written before 3/25/2011, do the following: During the transition period, either (1) set both &quot;payload&quot; and &quot;message_set&quot;, or (2) write the consumer of StatusProto so that it can forge a MessageSet object from &quot;payload&quot; if &quot;message_set&quot; is missing. The C++ util::Status implementation does (2). Once all the consumers are converted to accept &quot;message_set&quot;, then remove the use of &quot;payload&quot; on the producer side. space (type: String.t, default: nil) - The following are usually only present when code != 0 Space to which this status belongs"},{"ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.StatusProto.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.StatusProto.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping","type":"module","doc":"A mapping of a Firebase App to a Google Analytics data stream Attributes app (type: String.t, default: nil) - The fully qualified resource name of the Firebase App associated with the Google Analytics data stream, in the format: projects/projectId/androidApps/appId or projects/projectId/iosApps/appId or projects/projectId/webApps/appId measurementId (type: String.t, default: nil) - Applicable for Firebase Web Apps only. The unique Google-assigned identifier of the Google Analytics web stream associated with the Firebase Web App. Firebase SDKs use this ID to interact with Google Analytics APIs. Learn more about this ID and Google Analytics web streams in the Analytics documentation. streamId (type: String.t, default: nil) - The unique Google-assigned identifier of the Google Analytics data stream associated with the Firebase App. Learn more about Google Analytics data streams in the Analytics documentation."},{"ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.StreamMapping.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.html","title":"GoogleApi.Firebase.V1beta1.Model.TypedMessage","type":"module","doc":"Message that groups a protocol type_id (as defined by MessageSet), with an encoded message of that type. Its use is similar to MessageSet, except it represents a single (type, encoded message) instead of a set. To fill for known protocol type: MyProtocolMsg proto; TypedMessage typed_msg; typed_msg.set_type_id(MyProtocolMsg::MESSAGE_TYPE_ID); proto.AppendToCord(typed_msg.mutable_message()); To fill for unknown protocol type: ProtocolMessage proto; TypedMessage typed_msg; typed_msg.set_type_id(proto.GetMapper()-&gt;type_id()); proto.AppendToCord(typed_msg.mutable_message()); Attributes message (type: String.t, default: nil) - Message bytes. typeId (type: integer(), default: nil) - Identifier for the type."},{"ref":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.TypedMessage.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html","title":"GoogleApi.Firebase.V1beta1.Model.WebApp","type":"module","doc":"Details of a Firebase App for the web. Attributes appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier of the App. This identifier should be treated as an opaque token, as the data format is not specified. appUrls (type: list(String.t), default: nil) - The fully qualified URLs where the App is hosted. displayName (type: String.t, default: nil) - The user-assigned display name of the App. name (type: String.t, default: nil) - The fully qualified resource name of the App, for example: projects/projectId/webApps/appId projectId (type: String.t, default: nil) - The globally unique, user-assigned ID of the parent Project for the App."},{"ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.WebApp.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.WebApp.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.WebApp.t/0","type":"type","doc":""},{"ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig","type":"module","doc":"Configuration metadata of a single Firebase App for the web. Attributes apiKey (type: String.t, default: nil) - The API key associated with the web App. appId (type: String.t, default: nil) - Immutable. The globally unique, Firebase-assigned identifier of the App. authDomain (type: String.t, default: nil) - The domain Firebase Auth configures for OAuth redirects, in the format: projectId.firebaseapp.com databaseURL (type: String.t, default: nil) - The default Firebase Realtime Database URL. locationId (type: String.t, default: nil) - The ID of the project&#39;s default GCP resource location. The location is one of the available GCP resource locations. This field is omitted if the default GCP resource location has not been finalized yet. To set your project&#39;s default GCP resource location, call FinalizeDefaultLocation after you add Firebase services to your project. measurementId (type: String.t, default: nil) - The unique Google-assigned identifier of the Google Analytics web stream associated with the Firebase Web App. Firebase SDKs use this ID to interact with Google Analytics APIs. This field is only present if the App is linked to a web stream in a Google Analytics App + Web property. Learn more about this ID and Google Analytics web streams in the Analytics documentation. To generate a measurementId and link the Web App with a Google Analytics web stream, call AddGoogleAnalytics. messagingSenderId (type: String.t, default: nil) - The sender ID for use with Firebase Cloud Messaging. projectId (type: String.t, default: nil) - Immutable. The globally unique, user-assigned project ID of the parent Project for the App. storageBucket (type: String.t, default: nil) - The default Cloud Storage for Firebase storage bucket name."},{"ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#decode/2","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.html#t:t/0","title":"GoogleApi.Firebase.V1beta1.Model.WebAppConfig.t/0","type":"type","doc":""}]